<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Wap mod by theNoam
| http://www.thenoam.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------+*/
require_once("../maincore.php");
// locale begin
if (file_exists(BASEDIR."wap/locale/".$settings['locale'].".php")) {
	include BASEDIR."wap/locale/".$settings['locale'].".php";
} else {
	include BASEDIR."wap/locale/English.php";
}
// locale end

header("Content-type: text/vnd.wap.wml");
echo("<?xml version=\"1.0\" encoding=\"".$locale['charset']."\"?>\n");
echo("<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.1//EN\""
." \"http://www.wapforum.org/DTD/wml_1.1.xml\">\n");
?>

<wml> 
<template> 
<do type="options" name="prev" label="Back"> 
<prev/> 
</do> 
</template> 
<card title="<?php echo $locale['wap001'] ; ?>" id="users">
<p align="center"><?php echo $locale['wap027'] ; ?></p>
<p align="left">
<?php
// start of last seen users code
$result = dbquery("SELECT * FROM ".$db_prefix."users WHERE user_lastvisit>'0' AND user_status='0' ORDER BY user_lastvisit DESC LIMIT 0,10");
if (dbrows($result) != 0) {
	while ($data = dbarray($result)) {
	$lastseen = time() - $data['user_lastvisit'];
	$iW=sprintf("%2d",floor($lastseen/604800));
	$iD=sprintf("%2d",floor($lastseen/(60*60*24)));
	$iH=sprintf("%02d",floor((($lastseen%604800)%86400)/3600));
	$iM=sprintf("%02d",floor(((($lastseen%604800)%86400)%3600)/60));
	$iS=sprintf("%02d",floor((((($lastseen%604800)%86400)%3600)%60)));
	if ($lastseen < 60){
	$lastseen= $locale['wap041'];
	} elseif ($lastseen < 360){
	$lastseen= $locale['wap042'];
	} elseif ($iW > 0){
	if ($iW == 1) { $text = $locale['wap043']; } else { $text = $locale['wap044']; }
	$lastseen = $iW." ".$text;
	} elseif ($iD > 0){
	if ($iD == 1) { $text = $locale['wap045']; } else { $text = $locale['wap046']; }
	$lastseen = $iD." ".$text;
	} else {
	$lastseen = $iH.":".$iM.":".$iS;
	}
	echo "* ".$data['user_name'].": <small>".$lastseen."</small><br />\n";
	}
}
// start of user on line code
$result = dbquery("SELECT * FROM ".DB_ONLINE." WHERE online_user=".($userdata['user_level'] != 0 ? "'".$userdata['user_id']."'" : "'0' AND online_ip='".USER_IP."'"));
if (dbrows($result)) {
	$result = dbquery("UPDATE ".DB_ONLINE." SET online_lastactive='".time()."' WHERE online_user=".($userdata['user_level'] != 0 ? "'".$userdata['user_id']."'" : "'0' AND online_ip='".USER_IP."'")."");
} else {
	$result = dbquery("INSERT INTO ".DB_ONLINE." (online_user, online_ip, online_lastactive) VALUES ('".($userdata['user_level'] != 0 ? $userdata['user_id'] : "0")."', '".USER_IP."', '".time()."')");
}
$result = dbquery("DELETE FROM ".DB_ONLINE." WHERE online_lastactive<".(time()-60)."");

$result = dbquery(
	"SELECT ton.*, tu.user_id,user_name FROM ".DB_ONLINE." ton
	LEFT JOIN ".DB_USERS." tu ON ton.online_user=tu.user_id"
);
$guests = 0; $members = array();
while ($data = dbarray($result)) {
	if ($data['online_user'] == "0") {
		$guests++;
	} else {
		array_push($members, array($data['user_id'], $data['user_name']));
	}
}
echo "<br />\n";
echo $locale['wap051'].": <small>".$guests."</small><br />\n";
echo $locale['wap052'].": <small>".count($members)."</small><br />\n";
if (count($members)) {
	$i = 1;
	while (list($key, $member) = each($members)) {
		echo "<small>".$member[1]."</small>";
		if ($i != count($members)) { echo ",\n"; } else { echo "<br />\n"; }
		$i++;
	}
}
echo "<br />\n".$locale['wap054'].": <small>".number_format(dbcount("(user_id)", DB_USERS, "user_status<='1'"))."</small><br />\n";

$data = dbarray(dbquery("SELECT user_id,user_name FROM ".DB_USERS." WHERE user_status='0' ORDER BY user_joined DESC LIMIT 0,1"));
echo $locale['wap056'].": <small>".$data['user_name']."</small>\n";
?>
<br /></p><p align="center">------<br />
<a href='index.php'><?php echo $locale['wap010'] ; ?></a>
</p>

</card>
</wml>
