<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Wap mod by theNoam
| http://www.thenoam.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------+*/
require_once("../maincore.php");
// locale begin
if (file_exists(BASEDIR."wap/locale/".$settings['locale'].".php")) {
	include BASEDIR."wap/locale/".$settings['locale'].".php";
} else {
	include BASEDIR."wap/locale/English.php";
}
// locale end

header("Content-type: text/vnd.wap.wml");
echo("<?xml version=\"1.0\" encoding=\"".$locale['charset']."\"?>\n");
echo("<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.1//EN\""
." \"http://www.wapforum.org/DTD/wml_1.1.xml\">\n");
?>

<wml> 
<template> 
<do type="options" name="prev" label="Back"> 
<prev/> 
</do> 
</template> 
<card title="<?php echo $locale['wap001'] ; ?>" id="articles-e">

<?php 
$article_id = stripinput($_GET["article_id"]);
$result = dbquery("SELECT * FROM ".$db_prefix."articles WHERE article_id='$article_id'");
$result2=dbquery("SELECT siteurl FROM ".$db_prefix."settings");
if (dbrows($result) != 0) {
$data = dbarray($result);
$description = stripslashes(nl2br($data['article_article']));
$description = strip_tags($description, "");

// Parse bbcode into regular text begin

	$description = preg_replace('#\[b\](.*?)\[/b\]#si', '\1', $description);
	
	$description = preg_replace('#\[i\](.*?)\[/i\]#si', '\1', $description);
	$description = preg_replace('#\[u\](.*?)\[/u\]#si', '\1', $description);
	$description = preg_replace('#\[center\](.*?)\[/center\]#si', '\1', $description);
	
	$description = preg_replace('#\[url\]([\r\n]*)(http://|ftp://|https://|ftps://)([^\s\'\";\+]*?)([\r\n]*)\[/url\]#si', '\2\3', $description);
	$description = preg_replace('#\[url\]([\r\n]*)([^\s\'\";\+]*?)([\r\n]*)\[/url\]#si', '\2', $description);
	$description = preg_replace('#\[url=([\r\n]*)(http://|ftp://|https://|ftps://)([^\s\'\";\+]*?)\](.*?)([\r\n]*)\[/url\]#si', '\4', $description);
	$description = preg_replace('#\[url=([\r\n]*)([^\s\'\";\+]*?)\](.*?)([\r\n]*)\[/url\]#si', '\3', $description);
	
	$description = preg_replace('#\[mail\]([\r\n]*)([^\s\'\";:\+]*?)([\r\n]*)\[/mail\]#si', '\2', $description);
	$description = preg_replace('#\[mail=([\r\n]*)([^\s\'\";:\+]*?)\](.*?)([\r\n]*)\[/mail\]#si', '\3', $description);
	
	$description = preg_replace('#\[small\](.*?)\[/small\]#si', '\1', $description);
	$description = preg_replace('#\[color=(black|blue|brown|cyan|gray|green|lime|maroon|navy|olive|orange|purple|red|silver|violet|white|yellow)\](.*?)\[/color\]#si', '\2', $description);
	
	$description = preg_replace('#\[flash width=([0-9]*?) height=([0-9]*?)\]([^\s\'\";:\+]*?)(\.swf)\[/flash\]#si', ' ', $description);
	$description = preg_replace("#\[img\]((http|ftp|https|ftps)://)(.*?)(\.(jpg|jpeg|gif|png|JPG|JPEG|GIF|PNG))\[/img\]#sie","' '",$description);

	$qcount = substr_count($description, "[quote]"); $ccount = substr_count($description, "[code]");
	for ($i=0;$i < $qcount;$i++) $description = preg_replace('#\[quote\](.*?)\[/quote\]#si', '\1', $description);
	for ($i=0;$i < $ccount;$i++) $description = preg_replace('#\[code\](.*?)\[/code\]#si', '\1', $description);

// Parse bbcode into regular text end

$itemsubject = trimlink($data['article_subject'], 99);
?><p align="center"><b><?php 
echo "$itemsubject";
?></b></p><p align="left"><?php
echo "$description";
?></p><?php
} 
?>
<p align="left"><br />-----<br />
<a href="wap-articles.php"><?php echo $locale['wap032'] ; ?></a></p>

</card> 
</wml>
