<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Wap mod by theNoam
| http://www.thenoam.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------+*/
require_once("../maincore.php");
// locale begin
if (file_exists(BASEDIR."wap/locale/".$settings['locale'].".php")) {
	include BASEDIR."wap/locale/".$settings['locale'].".php";
} else {
	include BASEDIR."wap/locale/English.php";
}
// locale end

header("Content-type: text/vnd.wap.wml");
echo("<?xml version=\"1.0\" encoding=\"".$locale['charset']."\"?>\n");
echo("<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.1//EN\""
." \"http://www.wapforum.org/DTD/wml_1.1.xml\">\n");
?>

<wml> 
<template> 
<do type="options" name="prev" label="Back"> 
<prev/> 
</do> 
</template> 
<card title="<?php echo $locale['wap001'] ; ?>" id="forum">
<p align="center"><?php echo $locale['wap023'] ; ?></p>
<?php $result3=dbquery("SELECT * FROM ".$db_prefix."posts ORDER BY post_datestamp DESC LIMIT 0,5");
$result2=dbquery("SELECT siteurl FROM ".$db_prefix."settings");
$base=dbresult($result2,0);

while ($row=dbarray($result3)) {
	$rsid = intval($row['thread_id']);
	$rtitle = dbresult(dbquery("SELECT thread_subject FROM ".$db_prefix."threads WHERE thread_id='".$row['thread_id']."'"),0);	
	$rdatestamp = $row['post_datestamp'];
	$rauthor = $row['post_author'];
	$forum_name=dbresult(dbquery("SELECT forum_name FROM ".$db_prefix."forums WHERE forum_id='".$row['forum_id']."'"),0);
	$author_name=dbresult(dbquery("SELECT user_name FROM ".$db_prefix."users WHERE user_id='".$rauthor."'"),0);
	$description = stripslashes(nl2br($row['post_message']));

	// Add allowable HTML tags below, all others will be stripped
	$description = strip_tags($description, "");

// Parse bbcode into regular text begin

	$description = preg_replace('#\[b\](.*?)\[/b\]#si', '\1', $description);
	
	$description = preg_replace('#\[i\](.*?)\[/i\]#si', '\1', $description);
	$description = preg_replace('#\[u\](.*?)\[/u\]#si', '\1', $description);
	$description = preg_replace('#\[center\](.*?)\[/center\]#si', '\1', $description);
	
	$description = preg_replace('#\[url\]([\r\n]*)(http://|ftp://|https://|ftps://)([^\s\'\";\+]*?)([\r\n]*)\[/url\]#si', '\2\3', $description);
	$description = preg_replace('#\[url\]([\r\n]*)([^\s\'\";\+]*?)([\r\n]*)\[/url\]#si', '\2', $description);
	$description = preg_replace('#\[url=([\r\n]*)(http://|ftp://|https://|ftps://)([^\s\'\";\+]*?)\](.*?)([\r\n]*)\[/url\]#si', '\4', $description);
	$description = preg_replace('#\[url=([\r\n]*)([^\s\'\";\+]*?)\](.*?)([\r\n]*)\[/url\]#si', '\3', $description);
	
	$description = preg_replace('#\[mail\]([\r\n]*)([^\s\'\";:\+]*?)([\r\n]*)\[/mail\]#si', '\2', $description);
	$description = preg_replace('#\[mail=([\r\n]*)([^\s\'\";:\+]*?)\](.*?)([\r\n]*)\[/mail\]#si', '\3', $description);
	
	$description = preg_replace('#\[small\](.*?)\[/small\]#si', '\1', $description);
	$description = preg_replace('#\[color=(black|blue|brown|cyan|gray|green|lime|maroon|navy|olive|orange|purple|red|silver|violet|white|yellow)\](.*?)\[/color\]#si', '\2', $description);
	
	$description = preg_replace('#\[flash width=([0-9]*?) height=([0-9]*?)\]([^\s\'\";:\+]*?)(\.swf)\[/flash\]#si', ' ', $description);
	$description = preg_replace("#\[img\]((http|ftp|https|ftps)://)(.*?)(\.(jpg|jpeg|gif|png|JPG|JPEG|GIF|PNG))\[/img\]#sie","' '",$description);

	$qcount = substr_count($description, "[quote]"); $ccount = substr_count($description, "[code]");
	for ($i=0;$i < $qcount;$i++) $description = preg_replace('#\[quote\](.*?)\[/quote\]#si', '\1', $description);
	for ($i=0;$i < $ccount;$i++) $description = preg_replace('#\[code\](.*?)\[/code\]#si', '\1', $description);

// Parse bbcode into regular text end

	echo "<p align='left'><small> [ ".$forum_name." ] </small><br /><b>".htmlspecialchars($rtitle)."</b><br />";
	echo "<small> [".$author_name." - ".showdate("%d/%m/%Y %H:%M", $rdatestamp)." ] </small><br />".$description."<br /></p>";
} ?>
<p align="center"><br />------<br />
<a href='index.php'><?php echo $locale['wap010'] ; ?></a>
</p> 

</card> 
</wml>
